apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend
  labels:
    app: frontend-app
spec:
  replicas: 2
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
  selector:
    matchLabels:
      service: frontend
  template:
    metadata:
      labels:
        app: frontend-app
        service: frontend
    spec:
      containers:
        - name: frontend
          image: nginx:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 80
              protocol: TCP
          env:
            - name: METEOMATICSUSERNAME
              value: jiko_toto
            - name: METEOMATICSPASSWORD
              value: W3MJn0hzg8aEK 
            - name: BACKENDURL
              value: http://backend/weatherforecast/                   
      imagePullSecrets:
        - name: regcred

---

apiVersion: v1
kind: Service
metadata:
  name: frontend
  labels:
    app: frontend-app
    service: frontend
spec:
  type: LoadBalancer
  ports:
    - port: 80
      targetPort: 80
      protocol: TCP
  selector:
    service: frontend



# User: jiko_toto
# Password: W3MJn0hzg8aEK
# Valid until 2021-04-18
